std::shared_ptr::owner_hash(3)

NAME
std::shared_ptr::owner_hash - std::shared_ptr::owner_hash

Synopsis
   std::size_t owner_hash() const noexcept; (since C++26)
   Returns an unspecified value such that for any object other where owner_equal(other)
   is true, owner_hash() == other.owner_hash() is true.
   This hashing is used to make shared and weak pointers usable as keys in unordered
   associative containers, typically through std::owner_hash.

Return value
   A value that is identical for any std::shared_ptr or std::weak_ptr object sharing
   the same ownership.

Notes
           Feature-test macro Value Std Feature
                        Enabling the use of
   __cpp_lib_smart_ptr_owner_equality 202306L (C++26) std::shared_ptr as keys in
                        unordered associative containers

Example
    This section is incomplete
    Reason: example

See also
   owner_hash provides owner-based hashing for shared and weak pointers
   (C++26) (class)

Category:
     * Todo with reason